path: /build/build/backports-abc-dev-python-0.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/backports-abc -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/backports-abc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/backports-abc && luet-portage --dir
    /pkgdir/backports-abc dev-python/backports-abc && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a4cb95568712443c951fdee425f683b838de5df5c88a43747129a7e73bf3559b
  package:
    name: backports-abc
    version: "0.5"
    category: dev-python
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Backport of Python 3.5's 'collections.abc' module
    uri:
    - https://github.com/cython/backports_abc https://pypi.org/project/backports_abc/
    license: PSF-2
    buildtimestamp: 2023-09-23 13:47:09.752423977 +0000 UTC m=+104.922017445
    labels:
      BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/backports-abc
      kit: python-modules-kit
      original.package.name: dev-python/backports-abc
      original.package.slot: "0"
      original.package.version: "0.5"
    treedir: /build/packages
  package_dir: /pkgdir/backports-abc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: db9e6dab82fa8fee4bc2e55ca884aec63c505446c57f2dee4b1d243fad825f70
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/__pycache__/backports_abc.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/__pycache__/backports_abc.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/__pycache__/backports_abc.cpython-39.pyc
- usr/lib/python3.9/site-packages/backports_abc-0.5-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/backports_abc-0.5-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/backports_abc-0.5-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/backports_abc-0.5-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/backports_abc-0.5-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/backports_abc.py
- usr/share/doc/backports-abc-0.5/README.rst.bz2
- var/db/pkg/dev-python/backports-abc-0.5/BDEPEND
- var/db/pkg/dev-python/backports-abc-0.5/BUILD_TIME
- var/db/pkg/dev-python/backports-abc-0.5/CATEGORY
- var/db/pkg/dev-python/backports-abc-0.5/CBUILD
- var/db/pkg/dev-python/backports-abc-0.5/CFLAGS
- var/db/pkg/dev-python/backports-abc-0.5/CHOST
- var/db/pkg/dev-python/backports-abc-0.5/CONTENTS
- var/db/pkg/dev-python/backports-abc-0.5/COUNTER
- var/db/pkg/dev-python/backports-abc-0.5/CXXFLAGS
- var/db/pkg/dev-python/backports-abc-0.5/DEFINED_PHASES
- var/db/pkg/dev-python/backports-abc-0.5/DESCRIPTION
- var/db/pkg/dev-python/backports-abc-0.5/EAPI
- var/db/pkg/dev-python/backports-abc-0.5/FEATURES
- var/db/pkg/dev-python/backports-abc-0.5/HOMEPAGE
- var/db/pkg/dev-python/backports-abc-0.5/INHERITED
- var/db/pkg/dev-python/backports-abc-0.5/IUSE
- var/db/pkg/dev-python/backports-abc-0.5/IUSE_EFFECTIVE
- var/db/pkg/dev-python/backports-abc-0.5/KEYWORDS
- var/db/pkg/dev-python/backports-abc-0.5/LDFLAGS
- var/db/pkg/dev-python/backports-abc-0.5/LICENSE
- var/db/pkg/dev-python/backports-abc-0.5/PF
- var/db/pkg/dev-python/backports-abc-0.5/RDEPEND
- var/db/pkg/dev-python/backports-abc-0.5/SIZE
- var/db/pkg/dev-python/backports-abc-0.5/SLOT
- var/db/pkg/dev-python/backports-abc-0.5/USE
- var/db/pkg/dev-python/backports-abc-0.5/backports-abc-0.5.ebuild
- var/db/pkg/dev-python/backports-abc-0.5/environment.bz2
- var/db/pkg/dev-python/backports-abc-0.5/repository
package_cacheimage: ""
runtime:
  name: backports-abc
  version: "0.5"
  category: dev-python
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Backport of Python 3.5's 'collections.abc' module
  uri:
  - https://github.com/cython/backports_abc https://pypi.org/project/backports_abc/
  license: PSF-2
  labels:
    BDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/backports-abc
    kit: python-modules-kit
    original.package.name: dev-python/backports-abc
    original.package.slot: "0"
    original.package.version: "0.5"
